/*=========================================================================
*
*  Copyright NumFOCUS
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*         http://www.apache.org/licenses/LICENSE-2.0.txt
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*
*=========================================================================*/

#ifndef sitkVersionConfig_h
#define sitkVersionConfig_h

#define SimpleITK_VERSION_MAJOR 2
#define SimpleITK_VERSION_MINOR 3
#define SimpleITK_VERSION_PATCH 1
#define SimpleITK_VERSION_TWEAK 
#define SimpleITK_VERSION "2.3.1.dev-gGITDIR-NOTFOUND"

// A ';' separated list of the modules enabled when ITK was compiled
#define ITK_MODULES_ENABLED "ITKDoubleConversion;ITKEigen3;ITKKWSys;ITKVNL;ITKVNLInstantiation;ITKCommon;ITKImageSources;ITKImageFilterBase;ITKImageCompose;ITKImageAdaptors;ITKNetlib;ITKStatistics;ITKTransform;ITKImageFunction;ITKMesh;ITKZLIB;ITKMetaIO;ITKSpatialObjects;ITKImageStatistics;ITKImageGrid;ITKFFT;ITKPath;ITKImageIntensity;ITKThresholding;ITKConvolution;ITKSmoothing;AdaptiveDenoising;BSplineGradient;ITKImageGradient;ITKImageFeature;BoneEnhancement;ITKImageLabel;ITKConnectedComponents;ITKMathematicalMorphology;BoneMorphometry;Cuberille;ITKIOImageBase;FixedPointInverseDisplacementField;GenericLabelInterpolator;GrowCut;ITKLabelMap;ITKBinaryMathematicalMorphology;ITKFiniteDifference;ITKCurvatureFlow;ITKNarrowBand;ITKDistanceMap;ITKRegionGrowing;ITKDisplacementField;ITKOptimizers;ITKRegistrationCommon;HASI;HigherOrderAccurateGradient;ITKNIFTI;IOFDF;ITKQuadEdgeMesh;ITKVoronoi;ITKIOMeshBase;IOMeshSTL;IOMeshSWC;IOScanco;ITKDCMTK;ITKTransformFactory;ITKIOTransformBase;IOTransformDCMTK;ITKAnisotropicSmoothing;ITKFastMarching;ITKImageCompare;ITKSignedDistanceFunction;ITKLevelSets;ITKAntiAlias;ITKPolynomials;ITKBiasCorrection;ITKClassifiers;ITKColormap;ITKDICOMParser;ITKDeconvolution;ITKDeformableMesh;ITKDenoising;ITKDiffusionTensorImage;ITKEigen;ITKExpat;ITKGDCM;ITKGIFTI;ITKGPUCommon;ITKGPUFiniteDifference;ITKGPUAnisotropicSmoothing;ITKGPUImageFilterBase;ITKGPURegistrationCommon;ITKPDEDeformableRegistration;ITKGPUPDEDeformableRegistration;ITKGPUSmoothing;ITKGPUThresholding;ITKGoogleTest;ITKHDF5;ITKIOBMP;ITKIOBioRad;ITKIOBruker;ITKIOCSV;ITKIOGDCM;ITKIOIPL;ITKIOGE;ITKIOGIPL;ITKIOHDF5;ITKJPEG;ITKIOJPEG;ITKOpenJPEG;ITKIOJPEG2000;ITKTIFF;ITKIOTIFF;ITKIOLSM;ITKMINC;ITKIOMINC;ITKIOMRC;ITKIOMeshBYU;ITKIOMeshFreeSurfer;ITKIOMeshGifti;ITKIOMeshOBJ;ITKIOMeshOFF;ITKIOMeshVTK;ITKIOMesh;ITKIOMeta;ITKIONIFTI;ITKNrrdIO;ITKIONRRD;ITKPNG;ITKIOPNG;ITKIORAW;ITKIOSiemens;ITKIOXML;ITKIOSpatialObjects;ITKIOStimulate;ITKIOTransformHDF5;ITKIOTransformInsightLegacy;ITKIOTransformMINC;ITKIOTransformMatlab;ITKIOVTK;ITKImageFrequency;ITKImageFusion;ITKImageNoise;ITKIntegratedTest;ITKKLMRegionGrowing;ITKLIBLBFGS;ITKLabelVoting;ITKLevelSetsv4;ITKMarkovRandomFieldsClassifiers;ITKOptimizersv4;ITKMetricsv4;ITKQuadEdgeMeshFiltering;ITKRegistrationMethodsv4;ITKSpatialFunction;ITKVTK;ITKWatersheds;ITKReview;ITKSuperPixel;ITKTestKernel;ITKVideoCore;ITKVideoFiltering;ITKVideoIO;ITKVtkGlue;LabelErodeDilate;LesionSizingToolkit;MeshNoise;MeshToPolyData;MinimalPathExtraction;Montage;MorphologicalContourInterpolation;MultipleImageIterator;ParabolicMorphology;PhaseSymmetry;PolarTransform;PrincipalComponentsAnalysis;RLEImage;RTK;Shape;SimpleITKFilters;SkullStrip;SmoothingRecursiveYvvGaussianFilter;SplitComponents;Strain;TextureFeatures;Thickness3D;TwoProjectionRegistration;VariationalRegistration"

#endif
